tigase.jaxmpp.android.chat

## Class OpenChatTableMetaData

- java.lang.Object
- - tigase.jaxmpp.android.chat.OpenChatTableMetaData

-     public class OpenChatTableMetaData
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELD_ACCOUNT`
    `static String` | `FIELD_ID`
    `static String` | `FIELD_JID`
    `static String` | `FIELD_NICKNAME`
    `static String` | `FIELD_PASSWORD`
    `static String` | `FIELD_RESOURCE`
    `static String` | `FIELD_ROOM_STATE`
    `static String` | `FIELD_THREAD_ID`
    `static String` | `FIELD_TIMESTAMP`
    `static String` | `FIELD_TYPE` `0` - single user chat `1` - multi user chat
    `static String` | `TABLE_NAME`
    `static int` | `TYPE_CHAT`
    `static int` | `TYPE_MUC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenChatTableMetaData()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_ACCOUNT

          public static final String FIELD_ACCOUNT

      See Also:
        Constant Field Values

    - #### FIELD_ID

          public static final String FIELD_ID

      See Also:
        Constant Field Values

    - #### FIELD_JID

          public static final String FIELD_JID

      See Also:
        Constant Field Values

    - #### FIELD_TYPE

          public static final String FIELD_TYPE

      - `0` - single user chat
      - `1` - multi user chat
      See Also:
        Constant Field Values

    - #### FIELD_RESOURCE

          public static final String FIELD_RESOURCE

      See Also:
        Constant Field Values

    - #### FIELD_THREAD_ID

          public static final String FIELD_THREAD_ID

      See Also:
        Constant Field Values

    - #### FIELD_NICKNAME

          public static final String FIELD_NICKNAME

      See Also:
        Constant Field Values

    - #### FIELD_PASSWORD

          public static final String FIELD_PASSWORD

      See Also:
        Constant Field Values

    - #### FIELD_ROOM_STATE

          public static final String FIELD_ROOM_STATE

      See Also:
        Constant Field Values

    - #### FIELD_TIMESTAMP

          public static final String FIELD_TIMESTAMP

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_CHAT

          public static final int TYPE_CHAT

      See Also:
        Constant Field Values

    - #### TYPE_MUC

          public static final int TYPE_MUC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenChatTableMetaData

          public OpenChatTableMetaData()

Copyright © 2006–2016 Tigase. All rights reserved.